Some search result thumbnails don't appear until you scroll down and back up through search results
Closed, ResolvedPublic

Description

Spec

Search Item View


Repro Steps

Article which doesn't cause full-text search

  1. Search for Barack Obama
  2. Wait for all results to load (full page)

Article which causes full-text search

  1. Search for Bernie Sanders
  2. Wait for all results to load (only a few)

Expected results

First result has a thumbnail

Actual results

No thumbnail appears until cell is scrolled away and back again.


Dev Notes

Related to:
If you comment out the first 2 calls to...

wmf_cancelImageDownload

...in UIImageView+WMFImageFetching.m (lines 12 and 18) the problem goes away... related somehow :)

Mhurd created this task.Oct 29 2015, 1:39 AM
Mhurd updated the task description. (Show Details)
Mhurd raised the priority of this task from to Needs Triage.
Mhurd moved this task to Needs Triage on the Wikipedia-iOS-App-Backlog board.
Mhurd added a subscriber: Mhurd.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2015, 1:39 AM
JMinor triaged this task as Normal priority.Oct 29 2015, 11:23 PM
JMinor added a project: iOS-app-v5-beta.
JMinor set Security to None.
Mhurd added a comment.Oct 30 2015, 6:00 PM
This comment was removed by Mhurd.
Mhurd added a comment.Oct 31 2015, 2:41 AM
This comment was removed by Mhurd.
Mhurd updated the task description. (Show Details)Oct 31 2015, 3:05 AM
Mhurd updated the task description. (Show Details)
Mhurd updated the task description. (Show Details)
Mhurd updated the task description. (Show Details)Oct 31 2015, 3:07 AM

Checked with 5.0.0.465 on iPad mini iOS 8.2.

Mhurd added a comment.EditedNov 11 2015, 12:35 AM

Moved back to "ready for dev" as I suspect this ( https://github.com/wikimedia/wikipedia-ios/pull/226 ) caused a regression in search results:

Search term "foodz" < deliberately misspelled to force full text results to be appended to end of prefix results.

Before:

After:

Checked with 5.0.0.503 on iPad mini iOS 8.2 and iPhone 5 iOS 9.02.

Searching 'foodz' looks exactly as in last screenshot from @Mhurd.

JMinor closed this task as Resolved.Nov 20 2015, 6:47 PM
JMinor added a subscriber: JMinor.